# Class BasicComboPopup.ListMouseMotionHandler

java.lang.Object
java.awt.event.MouseMotionAdapter
javax.swing.plaf.basic.BasicComboPopup.ListMouseMotionHandler

All Implemented Interfaces:
  `MouseMotionListener, EventListener`

Enclosing class:
  `BasicComboPopup`

protected class BasicComboPopup.ListMouseMotionHandler extends MouseMotionAdapter
This listener changes the selected item as you move the mouse over the list. The selection change is not committed to the model, this is for user feedback only.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ListMouseMotionHandler()`
Constructs a `ListMouseMotionHandler`.

## Method Summary

### Methods declared in class MouseMotionAdapter

`mouseDragged, mouseMoved`
Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
Invoked when a mouse button is pressed on a component and then dragged.
`void`
`mouseMoved(MouseEvent e)`
Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### ListMouseMotionHandler

protected ListMouseMotionHandler()
Constructs a `ListMouseMotionHandler`.